import axios from 'axios'
import config from './../config.json'
import {original, authCheck} from "./../functions/helper"

const instance = axios.create({
	baseURL: config.port,
	timeout: 10000,
})

instance.interceptors.response.use(function (response) {
	
	if (! authCheck(original(response.data))) {
		window.localStorage.clear()
		window.localStorage.setItem("no-auth", "کاربر گرامی اعتبار زمان پنل کاربری شما به پایان رسیده, لطفا دوباره ورود نمایید.")
		window.location = "/login"
		return
	}

	return response

}, function (err) {
	return Promise.reject(err)
})

export default instance