import React from 'react'
import {connect} from 'react-redux'
import {NavLink} from 'react-router-dom'
import {logoutRequest, loginRequest} from './../../../actions'

class Auth extends React.PureComponent
{
	logout = () => {
		window.localStorage.clear()
		this.props.logout()
		this.props.setExpandedNav()
		this.props.history.push("/")
	}
	
	render()
	{
		let {auth, setExpandedNav} = this.props

		return (
			<>
				{
					auth
						? (
							<ul className="navbar-nav d-flex align-items-lg-center">
								<NavLink onClick={() => setExpandedNav()} to="/panel" className="nav-item ml-0 ml-lg-3 text-muted text-decoration-none">
									{window.localStorage.getItem('user_login_np')}
								</NavLink>
								<li className="nav-item mt-3 mt-lg-0">
									<button onClick={this.logout} className="btn btn-sm btn-danger">
										<i className="ion-android-exit bold" style={{fontSize: "16px", top: "2px"}}></i>
										خروج
									</button>
								</li>
							</ul>
						)
						: (
							<ul className="navbar-nav">
								<li className="nav-item ml-3">
									<NavLink onClick={() => setExpandedNav()} exact to="/login" className="nav-link">
										<i className="ion-log-in" style={{fontSize: "20px", top: "2px"}}></i>
										ورود
									</NavLink>
								</li>
								
								<li className="nav-item">
									<NavLink onClick={() => setExpandedNav()} exact to="/register" className="nav-link">
										<i className="ion-android-person-add" style={{fontSize: "20px", top: "2px"}}></i>
										ثبت نام
									</NavLink>
								</li>
							</ul>
						)
				}
			</>
		)
	}
	
	authenticated() 
	{
		if (window.localStorage.hasOwnProperty('user_login_token')) {
			this.props.login()
		} else {
			this.props.logout()
		}
	}
	
	componentDidMount ()
	{
		this.authenticated()
	}
	
	componentDidUpdate ()
	{
		this.authenticated()
	}
}

const mapStateToProps = state => ({auth: state.auth})

const mapDispatchToProps = dispatch => ({
	logout: () => dispatch(logoutRequest()),
	login:  () => dispatch(loginRequest())
})

export default connect(mapStateToProps, mapDispatchToProps)(Auth)