import React from 'react'
import {Navbar, Nav} from 'react-bootstrap'
import {NavLink} from 'react-router-dom'
import "./css/navbar.css"
import Auth from './Auth'

class MyNavbar extends React.PureComponent
{
	state = {
		navExpanded: false
	}
	
	setExpandedNav(flag = false) {this.setState({ navExpanded: flag })}

	render()
	{
		return (
			<nav className="bg-light">
				<Navbar className="container" expand="lg" expanded={this.state.navExpanded}>
					<NavLink exact to="/" style={{textDecoration: 'none'}} className="text-info h4 ml-3 mt-2">نید سافت <small style={{color: "#ccc", fontSize: "10px", position: "relative", top: "-3px"}}>ورژن 4</small></NavLink>
					<Navbar.Toggle onClick={() => this.setExpandedNav(!this.state.navExpanded)} aria-controls="basic-navbar-nav" />
					<Navbar.Collapse id="basic-navbar-nav">
						<Nav className="ml-auto">
							<section className="text-right">
								<NavLink onClick={() => this.setExpandedNav()} exact className="nav-link" to="/">صفحه اصلی</NavLink>
							</section>

							<section className="text-right">
								<NavLink onClick={() => this.setExpandedNav()} exact className="nav-link" to="/rules">قوانین</NavLink>
							</section>

							<section className="text-right">
								<NavLink onClick={() => this.setExpandedNav()} exact className="nav-link" to="/about">درباره ما</NavLink>
							</section>

							<section className="text-right">
								<NavLink onClick={() => this.setExpandedNav()} exact className="nav-link" to="/contact">ارتباط با ما</NavLink>
							</section>
						</Nav>
						
						<Auth setExpandedNav={this.setExpandedNav.bind(this)} {...this.props} />
					</Navbar.Collapse>
				</Navbar>
			</nav>
		)
	}
}

export default MyNavbar