import React, {PureComponent} from "react"
import mainApi from "./../../../api/mainApi"
import {serialize, original} from "./../../../functions/helper"
import Swal from "sweetalert2"
import LoadingElement from "./../../loadings/LoadingElement"

class Information extends PureComponent
{
    state = {
        data: { id: 1583, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        info: {},
        loadingStatus: false
    }

    render()
    {
        let {info, loadingStatus} = this.state

        return (
            <div className="alert alert-info p-3">
                {
                    ! loadingStatus
                    ?
                        <div className="list-group list-group-flush text-right">
                            <div className="list-group-item bg-transparent">
                                نام کاربری : <b className="text-muted pr-3">{info.np}</b>
                            </div>

                            <div className="list-group-item bg-transparent">
                                کد ملی : <b className="text-muted pr-3">{info.nid}</b>
                            </div>

                            <div className="list-group-item bg-transparent">
                                نام پدر : <b className="text-muted pr-3">{info.father}</b>
                            </div>

                            <div className="list-group-item bg-transparent">
                                تلفن همراه : <b className="text-muted pr-3">{info.mobil}</b>
                            </div>

                        </div>
                    : 
                        <LoadingElement />
                }
            </div>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.sp_param = window.localStorage.getItem('user_login_cp')

        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
        .then(response => {
            this.setState({
                info: original(response.data),
                loadingStatus: false
            })
        })
        .catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

export default Information