import React, {PureComponent} from "react"
import {Modal, Button} from "react-bootstrap"
import Item from "./Item"
import "./css/list-reports.css"

class ListReports extends PureComponent
{
    state = {
        titles: [],
        items: [],
    }

    render()
    {
        let {titles, items, show, handleClose} = this.props

        return (
            <>
                <Modal size="xl" dialogClassName="modal-90w" show={show} onHide={() => handleClose()}>
                    <Modal.Header closeButton></Modal.Header>

                    <Modal.Body>
                        <div className="table-responsive">
                            <table className="table table-hover table-striped">
                                <thead className="bg-primary text-light">
                                    <tr>
                                        {
                                            titles.map((title, index) => <td key={index}>{ title }</td>)
                                        }
                                    </tr>
                                </thead>
                                <tbody>
                                    {
                                        items.map((item, index) => <Item key={index} item={item} />)
                                    }
                                </tbody>
                            </table>
                        </div>
                    </Modal.Body>

                    <Modal.Footer>
                        <Button variant="danger" onClick={() => handleClose()}>
                            بستن
                        </Button>
                    </Modal.Footer>
                </Modal>
            </>
        )
    }
}

export default ListReports