import React, {PureComponent} from "react"
import mainApi from './../../../../api/mainApi'
import {serialize, original} from './../../../../functions/helper'

class ComboBanks extends PureComponent
{
    state = {
        data: { id: 1604, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        loadingStatus: false,
        banks: []
    }

    render()
    {
        let {bankHandler} = this.props

        return (
            <>
                {
                    ! this.state.loadingStatus
                        ?   
                            <select disabled={this.props.disabled ? 'disabled' : ''} className="form-control form-control-lg" onChange={(e) => bankHandler(e.target.value)}>
                                <option selected value="">انتخاب نمایید</option>
                                {
                                    this.state.banks.map((item, index) => <option value={item.c_combo} key={index}>{item.n_combo}</option>)
                                }
                            </select>
                        : 
                            <div className="form-control form-control-lg d-flex align-items-center">
                                <div className="spinner-grow text-info"></div>
                                <small>صبر نمایید...</small>
                            </div>
                }
            </>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')

        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
        .then(response => {
            this.setState({loadingStatus: false})

            this.setState({
                banks: Object.entries(original(response.data, false)).map(item => item[1]),
                loadingStatus: false
            })
        })
        //.catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

export default ComboBanks