import React, {PureComponent} from "react"
import mainApi from './../../../../api/mainApi'
import {serialize, original} from './../../../../functions/helper'

class ComboReport extends PureComponent
{
    state = {
        data: { id: 2464, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        reports: [],
        loadingStatus: false
    }

    render()
    {
        return (
            <>
                {
                    ! this.state.loadingStatus
                        ?   
                            <select disabled={this.props.disabled ? 'disabled' : ''} className="form-control form-control-lg" onChange={(e) => this.props.reportHandler(e.target.value)}>
                                {
                                    this.state.reports.map((item, index) => <option value={item.c_permission} key={index}>{item.report_operation}</option>)
                                }
                            </select>
                        : 
                            <div className="form-control form-control-lg d-flex align-items-center">
                                <div className="spinner-grow text-info"></div>
                                <small>صبر نمایید...</small>
                            </div>
                }
            </>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')
        this.state.data.sp_param = `'${window.localStorage.getItem("user_login_cp")}'`
        
        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
                .then(response => {
                    this.setState({
                        reports: Object.entries(original(response.data, false)).map(item => item[1]),
                        loadingStatus: false
                    })

                    if (this.state.reports.length > 0)
                        this.props.reportHandler(this.state.reports[0].c_permission)
                })
                //.catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

export default ComboReport