import React, {PureComponent} from "react"
import {connect} from "react-redux"
import {Modal, Button} from "react-bootstrap"

class AllModalShow extends PureComponent
{
    render()
    {
        let {allTimes, show, allModalCloseHandler} = this.props

        return (
            <>
                <Modal size="xl" show={show} onHide={() => allModalCloseHandler()}>
                    <Modal.Header closeButton></Modal.Header>

                    <Modal.Body>
                        <div className="row">
                            <div className="col">
                                <div className="card mb-3">
                                    <div className="card-header bg-info text-light d-flex justify-content-between align-items-center">
                                        <span>کل وقت ها با کد پیگیری</span>
                                        <span className="badge badge-light">{allTimes.length ? allTimes.length : ""}</span>
                                    </div>
                                    <div className="card-body p-0 overflow-auto" style={{maxHeight: "300px"}}>
                                        <div className="list-group list-group-flush">
                                            {
                                                allTimes.length
                                                ?   
                                                allTimes.map((item, index) => {
                                                        return (
                                                            <div key={index} className="list-group-item list-group-item-action d-flex justify-content-between align-items-center">
                                                                <span>{item.sdate}</span>
                                                                <span>{item.stime}</span>
                                                                <span>{item.id_timeing}</span>
                                                            </div>
                                                        )
                                                    })
                                                : <div className="list-group-item text-danger text-center">موردی یافت نشد.</div>
                                            }
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </Modal.Body>

                    <Modal.Footer>
                        <Button variant="danger" onClick={() => allModalCloseHandler()}>
                            بستن
                        </Button>
                    </Modal.Footer>
                </Modal>
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        allTimes: state.reservation.allTimes,
    }
}

export default connect(mapStateToProps, null)(AllModalShow)