import React, {PureComponent} from "react"
import Swal from 'sweetalert2'
import mainApi from './../../../../api/mainApi'
import {serialize, original, sResultCheck} from './../../../../functions/helper'

class CancelItem extends PureComponent
{
    state = {
        data: { id: 1587, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        loadingStatus: false
    }

    cancelHandler(id)
    {
        Swal.fire({
            title: "توجه کنید",
            html: `آیا مایل به لغو رزرو نوبت هستید ؟`,
            icon: "question",
            showCancelButton: true,
            cancelButtonColor: "#dc3545",
            showConfirmButton: true,
            confirmButtonText: "بله",
            cancelButtonText: "خیر"

        }).then(res => {
            if (res.value) {
                this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
                this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')
                this.state.data.sp_param = `'${id}','${window.localStorage.getItem('user_login_cp')}'`
        
                this.setState({loadingStatus: true})
                mainApi.post(serialize(this.state.data))
                .then(response => {
                    this.setState({loadingStatus: false})
                    let data =  original(response.data, false)

                    if (sResultCheck(data)) {
                        this.props.searchHandler()
                        Swal.fire({icon: 'success', title: "موفق آمیز", text: 'عملیات لغو رزرو نوبت با موفقیت صورت گرفت.', showConfirmButton: false, timer: 3000})
                    }
                })
                .catch(err => {
                    this.setState({loadingStatus: false})
                    Swal.fire({icon: 'error', text: err, confirmButtonText: 'متوجه شدم'})
                })
            }
        })
    }

    render()
    {
        let {item} = this.props

        return (

            <div className="list-group-item list-group-item-action d-flex justify-content-between align-items-center">
                <span>{item.id_timeing}</span>
                <span>{item.sdate}</span>
                <span>{item.stime}</span>
                <button onClick={() => this.cancelHandler(item.id_timeing)} className="btn btn-sm btn-warning text-light">
                    {
                        ! this.state.loadingStatus
                            ?   "لغو"
                            :   <div className="spinner-grow spinner-grow-sm"></div>
                    }
                </button>
            </div>
        )
    }
}

export default CancelItem