import React, {PureComponent} from "react"
import {connect} from "react-redux"
import CancelItem from "./CancelItem"

class CancelList extends PureComponent
{
    render()
    {
        let {futureTimes, searchHandler} = this.props

        return (
            <>
                {
                    futureTimes.length
                    ?   
                    futureTimes.map((item, index) => <CancelItem key={index} item={item} searchHandler={searchHandler} />)
                    :   
                        <div className="list-group-item text-danger text-center p-3">موردی یافت نشد.</div>
                }
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        futureTimes: state.reservation.futureTimes,
    }
}

export default connect(mapStateToProps, null)(CancelList)