import React, {PureComponent} from "react"
import {connect} from "react-redux"
import TakeItem from "./TakeItem"

class TakeList extends PureComponent
{
    render()
    {
        let {bookableTimes, searchHandler} = this.props

        return (
            <>
                {
                    bookableTimes.length
                    ?   
                        bookableTimes.map((item, index) => <TakeItem key={index} item={item} searchHandler={searchHandler} />)
                    :   
                        <div className="list-group-item text-danger text-center p-3">موردی یافت نشد.</div>
                }
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        bookableTimes: state.reservation.bookableTimes,
    }
}

export default connect(mapStateToProps, null)(TakeList)