import React, {PureComponent} from "react"
import {connect} from "react-redux"
import {Modal, Button} from "react-bootstrap"
import TakeList from "./TakeList"
import CancelList from "./CancelList"

class Index extends PureComponent
{
    render()
    {
        let {bookableTimes, futureTimes, searchHandler, show, bookableFutureModalCloseHandler} = this.props

        return (
            <>
                <Modal size="xl" show={show} onHide={() => bookableFutureModalCloseHandler()}>
                    <Modal.Header closeButton></Modal.Header>

                    <Modal.Body>
                        <div className="row">
                            <div className="col-lg-6 col-md-12">
                                <div className="card mb-3">
                                    <div className="card-header bg-info text-light d-flex justify-content-between align-items-center">
                                        <span>وقت های قابل رزرو</span>
                                        <span className="badge badge-light">{bookableTimes.length ? bookableTimes.length : ""}</span>
                                    </div>
                                    <div className="card-body p-0 overflow-auto" style={{maxHeight: "300px"}}>
                                        <div className="list-group list-group-flush">
                                            <TakeList searchHandler={searchHandler} />
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-6 col-md-12">
                                <div className="card mb-3">
                                    <div className="card-header bg-info text-light d-flex justify-content-between align-items-center">
                                        <span>رزرو شده های آینده</span>
                                        <span className="badge badge-light">{futureTimes.length ? futureTimes.length : ""}</span>
                                    </div>
                                    <div className="card-body p-0 overflow-auto" style={{maxHeight: "300px"}}>
                                        <div className="list-group list-group-flush px-0">
                                        <CancelList searchHandler={searchHandler} />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </Modal.Body>

                    <Modal.Footer>
                        <Button variant="danger" onClick={() => bookableFutureModalCloseHandler()}>بستن</Button>
                    </Modal.Footer>
                </Modal>
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        bookableTimes: state.reservation.bookableTimes,
        futureTimes: state.reservation.futureTimes
    }
}

export default connect(mapStateToProps, null)(Index)