import React, {PureComponent} from "react"
import mainApi from './../../../../api/mainApi'
import {serialize, original} from './../../../../functions/helper'
import {connect} from "react-redux"
import {setDays, setDay} from "./../../../../actions"

class ComboDays extends PureComponent
{
    state = {
        data: { id: 1513, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        loadingStatus: false
    }
    
    render()
    {
        let {days, setDay} = this.props

        return (
            <>
                {
                    ! this.state.loadingStatus
                        ?   
                            <select disabled={this.props.disabled ? 'disabled' : ''} className="form-control form-control-lg" onChange={(e) => setDay(e.target.value)}>
                                {
                                    days.map((item, index) => <option value={item.c_week} key={index}>{item.n_week}</option>)
                                }
                            </select>
                        : 
                            <div className="form-control form-control-lg d-flex align-items-center">
                                <div className="spinner-grow text-info"></div>
                                <small>صبر نمایید...</small>
                            </div>
                }
            </>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')
        this.state.data.sp_param = `'1','${window.localStorage.getItem('user_login_cp')}'`

        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
        .then(response => {
            this.setState({loadingStatus: false})

            let data =  original(response.data, false)

            if(data.length > 0) {
                this.props.setDay(data[0].c_week)
                this.props.setDays(data)
            }
        })
        //.catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

const mapStateToProps = state => {
    return {
       days: state.reservation.days,
       day: state.reservation.dataSearch.day
    }
}

const mapDispatchToProps = dispatch => {
    return {
        setDays: days => dispatch(setDays(days)),
        setDay: day => dispatch(setDay(day)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(ComboDays)