import React, {PureComponent} from "react"
import {connect} from "react-redux"
import mainApi from './../../../../api/mainApi'
import {serialize, original} from './../../../../functions/helper'
import {setExperts, setExpert} from "./../../../../actions"

class ComboExperts extends PureComponent
{
    state = {
        data: { id: 1582, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        loadingStatus: false
    }

    render()
    {
        let {experts, setExpert} = this.props
        
        return (
            <>
                {
                    ! this.state.loadingStatus
                        ?   
                            <select disabled={this.props.disabled ? 'disabled' : ''} className="form-control form-control-lg" onChange={(e) => setExpert(e.target.value)}>
                                {
                                    experts.map((item, index) => <option value={item.cp} key={index}>{item.n_expert}</option>)
                                }
                            </select>
                        : 
                            <div className="form-control form-control-lg d-flex align-items-center">
                                <div className="spinner-grow text-info"></div>
                                <small>صبر نمایید...</small>
                            </div>
                }
            </>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')
        this.state.data.sp_param = `'${window.localStorage.getItem('user_login_cp')}'`

        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
        .then(response => {
            this.setState({loadingStatus: false})

            let data =  original(response.data, false)

            if(data.length > 0) {
                this.props.setExpert(data[0].cp)
                this.props.setExperts(data)
            }
        })
        //.catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

const mapStateToProps = state => {
    return {
       experts: state.reservation.experts,
       expert: state.reservation.dataSearch.expert
    }
}

const mapDispatchToProps = dispatch => {
    return {
        setExperts: experts => dispatch(setExperts(experts)),
        setExpert: expert => dispatch(setExpert(expert)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(ComboExperts)