import React, {PureComponent} from "react"
import {connect} from "react-redux"
import mainApi from './../../../../api/mainApi'
import {serialize, original} from './../../../../functions/helper'
import {setServices, setService} from "./../../../../actions"

class ComboServices extends PureComponent
{
    state = {
        data: { id: 1581, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
        loadingStatus: false
    }

    render()
    {
        let {services, setService} = this.props

        return (
            <>
                {
                    ! this.state.loadingStatus
                        ?   
                            <select disabled={this.props.disabled ? 'disabled' : ''} className="form-control form-control-lg" onChange={(e) => setService(e.target.value)}>
                                {
                                    services.map((item, index) => <option value={item.cs} key={index}>{item.ns}</option>)
                                }
                            </select>
                        : 
                            <div className="form-control form-control-lg d-flex align-items-center">
                                <div className="spinner-grow text-info"></div>
                                <small>صبر نمایید...</small>
                            </div>
                }
            </>
        )
    }

    componentDidMount()
    {
        this.state.data.Login_User_Token = window.localStorage.getItem('user_login_token')
        this.state.data.Login_User_cp = window.localStorage.getItem('user_login_cp')
        this.state.data.sp_param = `'${window.localStorage.getItem('user_login_cp')}'`

        this.setState({loadingStatus: true})
        mainApi.post(serialize(this.state.data))
        .then(response => {
            this.setState({loadingStatus: false})

            let data =  original(response.data, false)

            if(data.length > 0) {
                this.props.setService(data[0].cs)
                this.props.setServices(data)
            }
        })
        //.catch(err => Swal.fire({icon: 'error', text: err, confirmButtonText: 'Ok'}))
    }
}

const mapStateToProps = state => {
    return {
       services: state.reservation.services,
       service: state.reservation.dataSearch.service
    }
}

const mapDispatchToProps = dispatch => {
    return {
        setServices: services => dispatch(setServices(services)),
        setService: service => dispatch(setService(service)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(ComboServices)