import React, {PureComponent} from "react"
import {NavLink } from "react-router-dom"
import "./css/sidebar.css"

class Index extends PureComponent
{
	scrollToSectionHandler()
	{
		if (window.innerWidth < 992) {
			setTimeout(() => {
				let el = document.querySelector(".work-area")
				if (el) {
					let i = 0
					let interval = setInterval(() => {	
						window.scrollTo(0, i)
						i += 10
						if (i >= Math.round(window.scrollY + el.getBoundingClientRect().top)) clearInterval(interval)
					}, 10)
				}
			}, 200)
		}
	}

	render()
	{
		return (
			<section className="card mb-4 text-right">
				<header className="card-header h5 text-muted">منو کاربری</header>
				<main className="card-body">
					<div className="list-group list-group-flush off-underline-for-hover sidebar-list">
						<section className="list-group-item">
							<i className="ion-ios-speedometer"></i>
							<NavLink onClick={() => this.scrollToSectionHandler()} exact className="text-muted" to="/panel">داشبورد</NavLink>
						</section>
						<section className="list-group-item">
							<i className="ion-card"></i>
							<NavLink onClick={() => this.scrollToSectionHandler()} exact className="text-muted" to="/panel/profile">پروفایل</NavLink>
						</section>
						<section className="list-group-item">
							<i className="ion-android-calendar"></i>
							<NavLink onClick={() => this.scrollToSectionHandler()} exact className="text-muted" to="/panel/reservation">نوبت دهی</NavLink>
						</section>
						{
							(window.localStorage.getItem("user_login_cp") === "1")
								?
									<section className="list-group-item">
										<i className="ion-stats-bars"></i>
										<NavLink onClick={() => this.scrollToSectionHandler()} exact className="text-muted" to="/panel/reports">گزارشات</NavLink>
									</section>
								: 	""
						}
						<section className="list-group-item">
							<i className="ion-android-lock"></i>
							<NavLink onClick={() => this.scrollToSectionHandler()} exact className="text-muted" to="/panel/change-password">تغییر رمز عبور</NavLink>
						</section>
					</div>
				</main>
			</section>
		)
	}
}

export default Index