import React, {PureComponent} from "react"
import {connect} from "react-redux"
import {setProgressBar, resetData, setCodeSupervisor, setCodeIntro, setCodeEconomic, setType, setCitizens, setCodeCitizens, setDesc} from "./../../actions"
import {Form} from "react-bootstrap"
import Swal from "sweetalert2"
import mainApi from "./../../api/mainApi"
import {original, serialize} from "./../../functions/helper"
import LoadingElement from "./../loadings/LoadingElement"

class StepFour extends PureComponent
{
    //id=2470&sp_param='name family','0374428158','sarparast','moaref','atabaaa','eghtesadi','name','family','pedar','09122228877','03122334455','','email','website','address','posti','','','myusername','1111','1111','','','','1399/03/24','1399/03/24','','','','','','','','','','','','-1','-1','','','','','','','sharh','0'&Login_User_Token=9DB0EC45-54B8-43FD-BFD9-F2349E0B3D5F&Login_User_cp=0
    state = {	
		data: {id: 2470, sp_param: ''},
		loadingStatus: false
	}

    submitHandler()
	{
        this.props.setProgressBar(100)

        let {data} = this.props

        let fnameAndLname = `${data.fname} ${data.lname}`
		this.state.data.sp_param = `'${fnameAndLname}','${data.codeNational}','${data.codeSupervisor}','${data.codeIntro}','${data.codeCitizens}','${data.codeEconomic}','${data.fname}','${data.lname}','${data.father}','${data.mobile}','${data.tel}','','${data.email}','${data.website}','${data.address}','${data.codePostal}','','','${data.username}','${data.password}','${data.confirm}','','','','','','','','','','','','','','','','','${data.type}','${data.citizens}','','','','','','','${data.desc}','0'`
		let dataLoc = this.state.data
		
        this.setState({loadingStatus: true})
        mainApi.post(serialize(dataLoc))
            .then(response => {
                let {cp, s_message_insert} = original(response.data)
                
                if (cp !== '0') {
                    this.props.setProgressBar(0)
                    window.scrollTo(0, 0)
                    this.props.resetData()

                    Swal.fire({icon: 'success', text: s_message_insert, showConfirmButton: false, timer: 2000})
                    this.props.history.push("/login")
                } else {
                    this.setState({loadingStatus: false})
                    this.props.setProgressBar(75)
                    Swal.fire({icon: 'error', text: s_message_insert, confirmButtonText: 'متوجه شدم'})
                }
            })
            .catch(err => {
                this.setState({loadingStatus: false})
                Swal.fire({icon: 'error', text: err, confirmButtonText: 'متوجه شدم'})
            })
    }
    
    /*resetData()
    {
        this.props.resetData()
        setTimeout(() => {
            window.scrollTo(0, 0)
            document.querySelector(".card-body-register input").focus()
            this.setState({codeCitizens: false})
        }, 10)
    }*/

    legalHandler(e) {
        
        if(e.target.checked) {
            this.props.setType("-1")
        }else {
            this.props.setType("0")
        }
    }

    foreignersHandler(e)
    {
        if(e.target.checked) {
            this.props.setCitizens("-1")

        }else {
            this.props.setCitizens("0")
        }
    }

    render()
    {
        let {setCodeSupervisor, setCodeIntro, setCodeEconomic, setCodeCitizens, setDesc, data, progressBar} = this.props
        let {loadingStatus} = this.state
        
        return (
            <>
                <div className={`card-body-register ${(progressBar == 75 || progressBar == 100)  ? "active" : ""}`}>
                    <main className="card-body">
                        <div className="form-row text-muted">
                            <section className="col-lg-4 form-group text-right">
                                <label>کد سرپرست</label>
                                <input onChange={(e) => setCodeSupervisor(e.target.value)} value={data.codeSupervisor} className="form-control form-control-lg text-left" style={{direction: "ltr"}} disabled={loadingStatus ? 'disabled' : ''} />
                            </section>
                            
                            <section className="col-lg-4 form-group text-right">
                                <label>کد معرف</label>
                                <input onChange={(e) => setCodeIntro(e.target.value)} value={data.codeIntro} className="form-control form-control-lg text-left" style={{direction: "ltr"}} disabled={loadingStatus ? 'disabled' : ''} />
                            </section>

                            <section className="col-lg-4 form-group text-right">
                                <label>کد اقتصادی</label>
                                <input onChange={(e) => setCodeEconomic(e.target.value)} value={data.codeEconomic} className="form-control form-control-lg text-left" style={{direction: "ltr"}} disabled={loadingStatus ? 'disabled' : ''} />
                            </section>
                        </div>
                        
                        <div className="form-row text-muted">
                            <section className="col-lg-6 form-group text-right">
                                <label className="pb-4"></label>
                                <div className="d-flex justify-content-around">
                                    <Form.Check
                                        onClick={(e) => this.legalHandler(e)}
                                        type="checkbox"
                                        id="legal"
                                        label="حقوقی"
                                        custom
                                        className="my-cursor-pointer"
                                        disabled={loadingStatus ? 'disabled' : ''}
                                    />

                                    <Form.Check
                                        onClick={(e) => this.foreignersHandler(e)}
                                        type="checkbox"
                                        id="foreigners"
                                        label="اتباع خارجی"
                                        custom
                                        className="my-cursor-pointer"
                                        disabled={loadingStatus ? 'disabled' : ''}
                                    />
                                </div>
                            </section>

                            <section className="col-lg-6 form-group text-right">
                                <label>کد اتباع</label>
                                <input onChange={(e) => setCodeCitizens(e.target.value)} value={data.codeCitizens} className="form-control form-control-lg text-left" style={{direction: "ltr"}} disabled={loadingStatus ? 'disabled' : ''} />
                            </section>
                        </div>

                        <div className="form-row text-muted">
                            <section className="col form-group text-right">
                                <label>شرح</label>
                                <input onChange={(e) => setDesc(e.target.value)} value={data.desc} className="form-control form-control-lg" disabled={loadingStatus ? 'disabled' : ''} />
                            </section>
                        </div>
                    </main>
                    
                    <footer className="card-footer text-left d-flex flex-row-reverse flex-wrap">
                        <button onClick={() => this.submitHandler()} className="btn btn-info mr-2 mt-1" disabled={loadingStatus ? 'disabled' : ''}>
                            {
                                loadingStatus 
                                    ?	<LoadingElement varient="button" />
                                    :	"ثبت"
                            }
                        </button>

                        <button onClick={() => {this.props.setProgressBar(50); window.scrollTo(0, 0);}} className="btn btn-lg btn-warning text-light mr-2 mt-1" disabled={loadingStatus ? 'disabled' : ''}>قبلی</button>
                        {/* <button onClick={() => this.resetData()} className="btn btn-outline-secondary mr-2 mt-1">بازنویسی</button> */}
                    </footer>
                </div>
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        progressBar: state.register.progressBar,
        data: state.register.data
    }
}

const mapDispatchToProps = dispatch => {
    return {
        setProgressBar: num => dispatch(setProgressBar(num)),
        resetData: num => dispatch(resetData()),
        setCodeSupervisor: val => dispatch(setCodeSupervisor(val)),
        setCodeIntro: val => dispatch(setCodeIntro(val)),
        setCodeEconomic: val => dispatch(setCodeEconomic(val)),
        setType: val => dispatch(setType(val)),
        setCitizens: val => dispatch(setCitizens(val)),
        setCodeCitizens: val => dispatch(setCodeCitizens(val)),
        setDesc: val => dispatch(setDesc(val)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(StepFour)