import React from 'react';
import ReactDOM from 'react-dom';
import * as serviceWorker from './serviceWorker';

import {Provider} from 'react-redux'
import {createStore} from 'redux'
import reducers from './reducers'
import {composeWithDevTools} from 'redux-devtools-extension'

import {BrowserRouter, Route, Switch} from "react-router-dom";

import "bootstrap/dist/css/bootstrap.min.css"
import "./assets/css/bootstrap/bootstrap-rtl.css"
import "./assets/css/fonts/vazir.css"
import "./assets/css/fonts/ionicons.css"
import "./assets/css/my-styles/style.css"

import User from './layouts/User';

const store = createStore(reducers, composeWithDevTools())

ReactDOM.render(
	<Provider store={store}>
		<BrowserRouter>
    		<Switch>
				<Route render={props => <User {...props} />} />
			</Switch>
		</BrowserRouter>
	</Provider>
	, document.getElementById('root'));

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();