class Validation
{
    data = {}
    errors = {}

    make(data, rules, message = [])
    {
        let valid = true
        this.errors = {}
        this.data = data

        rules.forEach(rulest => {
            let fields = Object.keys(rulest).forEach(field => {
                for (let rule of rulest[field]) {
                    if (rule.includes(":")) {
                        let arr = rule.split(":")
                        if (! this[arr[0]](data[field], field, arr[1])) {
                            valid = false
                            break
                        }
                    } else {
                        if (! this[rule](data[field], field)) {
                            valid = false
                            break
                        }
                    }
                }
            })
        })

        return valid
    }

    getErrors()
    {
        return this.errors
    }

    required(value, field)
    {
        if (value.length === 0) {
            this.errors[field] = "این فیلد الزامی است."
            return false
        }

        return true
    }

    min(value, field, param)
    {
        if (value.length < param) {
            this.errors[field] = `حداقل تعداد حروف این فیلد ${param} است.`
            return false
        }

        return true
    }

    max(value, field, param)
    {
        if (value.length > param) {
            this.errors[field] = `حداکثر تعداد حروف این فیلد ${param} است.`
            return false
        }

        return true
    }

    number(value, field, param)
    {
        if (value.length > 0) {
            let patt = new RegExp(/^[0-9]+$/)
            if (! patt.test(value)) {
                this.errors[field] = "فقط میتوانید عدد وارد نمایید."
                return false
            }
        }

        return true
    }

    mobile(value, field)
    {
        if (value.length > 0) {
            let patt = new RegExp(/^09[0-9]{9}$/)
            if (! patt.test(value)) {
                this.errors[field] = "شماره موبایل نا معتبر است."
                return false
            }
        }

        return true
    }

    tel(value, field)
    {
        if (value.length > 0) {
            let patt = new RegExp(/^0[0-9]{10}$/)
            if (! patt.test(value)) {
                this.errors[field] = "شماره تلفن نا معتبر است."
                return false
            }
        }

        return true
    }

    tenDigitCode(value, field)
    {
        if (value.length > 0) {
            let patt = new RegExp('^[0-9]{10}$')
            if (! patt.test(value)) {
                this.errors[field] = "کد نا معتبر است."
                return false
            }
        }

        return true
    }

    date(value, field)
    {
        if (value.length > 0) {
            let patt = new RegExp(/^(12|13|14)\d{2}\/(0[1-9]|1[0-2])\/(0[1-9]|1\d|2\d|3[01])$/)
            if (! patt.test(value)) {
                this.errors[field] = "تاریخ نا معتبر است."
                return false
            }
        }

        return true
    }


    email(value, field)
    {
        if (value.length > 0) {
            let patt = new RegExp(/(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@[*[a-zA-Z0-9-]+.[a-zA-Z0-9-.]+]*/)
            if (! patt.test(value)) {
                this.errors[field] = "قالب ایمیل صحیح نیست."
                return false
            }
        }

        return true
    }

    confirm(value, field, param)
    {
        if (value !== this.data[param]) {
            this.errors[field] = "این فیلد با رمز عبور برابر نیست."
            return false
        }

        return true
    }
}

export default new Validation