import * as type from './../constants'

const intialState = {
    data: { 
        fname: '', lname: '', father: '', dateBirth: '', codeNational: '',
        mobile: '', tel: '', username: '', password: '', confirm: '',
        email: '', website: '', codePostal: '', address: '',
        codeSupervisor: '', codeIntro: '', codeEconomic: '', 
        type: '0', citizens: '0', codeCitizens: '', desc: ''
    },
    progressBar: 0
}

const register = (prevState = intialState, action) => {
	switch (action.type) {
		case type.SET_PROGRESS_BAR :
			return {
                ...prevState,
                progressBar: action.num
            }

        case type.RESET_DATA :
            return {
                data: { 
                    fname: '', lname: '', father: '', dateBirth: '', codeNational: '',
                    mobile: '', tel: '', username: '', password: '', confirm: '',
                    email: '', website: '', codePostal: '', address: '',
                    codeSupervisor: '', codeIntro: '', codeEconomic: '', 
                    type: 'حقیقی', citizens: '', codeCitizens: '', desc: ''
                },
                progressBar: 0
            }

        case type.SET_F_NAME :
			return {
                ...prevState,
                data: {
                    ...prevState.data,
                    fname: action.fname
                }
            }

        case type.SET_L_NAME :
			return {
                ...prevState,
                data: {
                    ...prevState.data,
                    lname: action.lname
                }
            }
            
        case type.SET_FATHER :
			return {
                ...prevState,
                data: {
                    ...prevState.data,
                    father: action.father
                }
            }
            
        case type.SET_DATE_BIRTH :
			return {
                ...prevState,
                data: {
                    ...prevState.data,
                    dateBirth: action.dateBirth
                }
            }
            
        case type.SET_CODE_NATIONAL :
			return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codeNational: action.codeNational
                }
            }

        case type.SET_MOBILE :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    mobile: action.mobile
                }
            }
        case type.SET_TEL :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    tel: action.tel
                }
            }

        case type.SET_USERNAME :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    username: action.username
                }
            }

        case type.SET_PASSWORD :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    password: action.password
                }
            }

        case type.SET_CONFIRM :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    confirm: action.confirm
                }
            }

        case type.SET_EMAIL :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    email: action.email
                }
            }
        
        case type.SET_WEBSITE :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    website: action.website
                }
            }

        case type.SET_CODE_POSTAL :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codePostal: action.codePostal
                }
            }

        case type.SET_ADDRESS :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    address: action.address
                }
            }

        case type.SET_CODE_SUPERVISER :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codeSupervisor: action.codeSupervisor
                }
            }

        case type.SET_CODE_INTRO :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codeIntro: action.codeIntro
                }
            }

        case type.SET_CODE_ECONOMIC :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codeEconomic: action.codeEconomic
                }
            }

        case type.SET_TYPE :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    type: action.varient
                }
            }

        case type.SET_CITIZENS :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    citizens: action.citizens
                }
            }

        case type.SET_CODE_CITIZENS :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    codeCitizens: action.codeCitizens
                }
            }

        case type.SET_DESC :
            return {
                ...prevState,
                data: {
                    ...prevState.data,
                    desc: action.desc
                }
            }
	
		default:
			return prevState
	}
}

export default register