import * as type from './../constants'

const intialState = {
    dataBookableTimes: { id: 1585, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
    dataFutureTimes: { id: 1584, sp_param: '', Login_User_Token: '', Login_User_cp: ''},
    dataAllTimes: { id: 1584, sp_param: '', Login_User_Token: '', Login_User_cp: ''},

    bookableTimes: [],
    futureTimes: [],
    allTimes: [],

    days: [],
    services: [],
    experts: [],

    dataSearch: {
        from: '',
        to: '',
        day: '',
        service: '',
        expert: ''
    }
}

const reservation = (prevState = intialState, action) => {
	switch (action.type) {
		case type.SET_BOOKABLE_TIMES :
			return {
                ...prevState,
                bookableTimes: action.bookableTimes
            }

        case type.SET_FUTURE_TIMES :
            return {
                ...prevState,
                futureTimes: action.futureTimes
            }

        case type.SET_ALL_TIMES :
            return {
                ...prevState,
                allTimes: action.allTimes
            }

        case type.SET_DAYS :
            return {
                ...prevState,
                days: action.days
            }
    
        case type.SET_SERVICES :
            return {
                ...prevState,
                services: action.services
            }

        case type.SET_EXPERTS :
            return {
                ...prevState,
                experts: action.experts
            }

        case type.SET_FROM :
            return {
                ...prevState,
                dataSearch: {
                    ...prevState.dataSearch,
                    from: action.from
                }
            }

        case type.SET_TO :
            return {
                ...prevState,
                dataSearch: {
                    ...prevState.dataSearch,
                    to: action.to
                }
            }

        case type.SET_DAY :
            return {
                ...prevState,
                dataSearch: {
                    ...prevState.dataSearch,
                    day: action.day
                }
            }

        case type.SET_SERVICE :
            return {
                ...prevState,
                dataSearch: {
                    ...prevState.dataSearch,
                    service: action.service
                }
            }

        case type.SET_EXPERT :
            return {
                ...prevState,
                dataSearch: {
                    ...prevState.dataSearch,
                    expert: action.expert
                }
            }

        case type.SET_DATA_BOOKABLE_TIMES :
            return {
                ...prevState,
                dataBookableTimes: {
                    ...prevState.dataBookableTimes,
                    ...action.data
                }
            }

        case type.SET_DATA_fUTURE_TIMES :
            return {
                ...prevState,
                dataFutureTimes: {
                    ...prevState.dataFutureTimes,
                    ...action.data
                }
            }

        case type.SET_DATA_ALL_TIMES :
            return {
                ...prevState,
                dataAllTimes: {
                    ...prevState.dataAllTimes,
                    ...action.data
                }
            }
	
		default:
			return prevState
	}
}

export default reservation