//Level 1
import loadable from "@loadable/component"

const Home = loadable(() => import("./views/Home"))
const Register = loadable(() => import("./views/Register"))
const Login = loadable(() => import("./views/Login"))
const Rules = loadable(() => import("./views/Rules"))
const About = loadable(() => import("./views/About"))
const Contact = loadable(() => import("./views/Contact"))
const Panel = loadable(() => import("./views/Panel"))
const NotFound = loadable(() => import("./views/NotFound"))

//Level 2
const Dashboard = loadable(() => import("./components/panel/dashboard"))
const Profile = loadable(() => import("./views/panel/Profile"))
const Reservation = loadable(() => import("./views/panel/Reservation"))
const Reports = loadable(() => import("./views/panel/Reports"))
const ChangePassword = loadable(() => import("./views/panel/ChangePassword"))

const routes = [
    {
        path: "/",
        name: "Home",
        icon: "",
        component: Home,
        layout: "/user"
    },
    {
        path: "/register",
        name: "Register",
        icon: "",
        component: Register,
        layout: "/user"
    },
    {
        path: "/login",
        name: "Login",
        icon: "",
        component: Login,
        layout: "/user"
    },
    {
        path: "/rules",
        name: "Rules",
        icon: "",
        component: Rules,
        layout: "/user"
    },
    {
        path: "/about",
        name: "About",
        icon: "",
        component: About,
        layout: "/user"
    },
    {
        path: "/contact",
        name: "Contact",
        icon: "",
        component: Contact,
        layout: "/user"
    },
    {
        path: "/panel",
        name: "Panel",
        icon: "",
        component: Panel,
        layout: "/user"
    },
    {
        path: "/panel",
        name: "Dashboard.Panel",
        icon: "",
        component: Dashboard,
        layout: "/panel"
    },
    {
        path: "/panel/profile",
        name: "Profile.Panel",
        icon: "",
        component: Profile,
        layout: "/panel"
    },
    {
        path: "/panel/reservation",
        name: "Reservtion.Panel",
        icon: "",
        component: Reservation,
        layout: "/panel"
    },
    {
        path: "/panel/reports",
        name: "Reports.Panel",
        icon: "",
        component: Reports,
        layout: "/panel"
    },
    {
        path: "/panel/change-password",
        name: "Change Password.Panel",
        icon: "",
        component: ChangePassword,
        layout: "/panel"
    },
    {
        path: "/not-found",
        name: "Not Found",
        icon: "",
        component: NotFound,
        layout: "/all"
    }
]

export default routes
