import React from 'react'
import {connect} from 'react-redux'
import StepOne from "./../components/register/StepOne"
import StepTwo from "./../components/register/StepTwo"
import StepThree from "./../components/register/StepThree"
import StepFour from "./../components/register/StepFour"
import "./../components/register/css/register.css"

class Register extends React.PureComponent
{	
	constructor (props)
	{
		super(props)
		
		if (props.auth && 
			window.localStorage.hasOwnProperty('user_login_token') && 
				window.localStorage.hasOwnProperty('user_login_cp')) {
			props.history.push("/")
		}
	}
	
	render ()
	{	
		return (
			<div className="container my-animate-page">
				<div className="row">
					<div className="col col-lg-6 m-auto">
						<div className="card">
							<header className="card-header text-muted text-right h4">
								<i className="ion-android-person-add" style={{top: "2px"}}></i>
								ثبت نام
							</header>
							<div className="progress rounded-0" style={{height: "10px"}}>
								<div className="progress-bar progress-bar-striped progress-bar-animated bg-info" style={{width: `${this.props.progressBar}%`}}></div>
							</div>

							<StepOne />

							<StepTwo />

							<StepThree />

							<StepFour {...this.props} />
						</div>
					</div>
				</div>
			</div>
		)
	}
}

const mapStateToProps = state => {
	return {
		auth: state.auth,
		progressBar: state.register.progressBar	
	}
}

export default connect(mapStateToProps)(Register)