import React, {PureComponent} from "react"
import ListReports from "./../../components/panel/reports/ListReports"
import FormSearch from "./../../components/panel/reports/FormSearch"

class Reports extends PureComponent
{   
    state = {
        titles: [],
        items: [],
        showModal: false
    }

    handleClose()
    {
        this.setState({showModal: false})
    }

    handleShow()
    {
        this.setState({showModal: true})
    }

    titlesHandler(titles) {
        this.setState({
            ...this.state,
            titles
        })
    }

    itemsHandler(items) {
        this.setState({
            ...this.state,
            items
        })
    }

    render()
    {
        return (
            <div className="my-animate-page">
                <FormSearch handleShow={this.handleShow.bind(this)} titlesHandler={this.titlesHandler.bind(this)} itemsHandler={this.itemsHandler.bind(this)} />

                <ListReports show={this.state.showModal} handleClose={this.handleClose.bind(this)} {...this.state} />
            </div>
        )
    }
}

export default Reports